## openvas-plugins-dfsg 20100320

=== Makefile ===
include openvas.tmpl

all: mkplugins

mkplugins:
	cd plugins && ./make_world
	
clean:
	cd plugins && ./make_world clean

install-sync-script:
	test -d $(DESTDIR)${sbindir} || $(INSTALL_DIR) -m 755 $(DESTDIR)${sbindir}
	$(INSTALL) -m 0555 openvas-nvt-sync \
		$(DESTDIR)${sbindir}

install-dirs:
	test -d $(DESTDIR)${libdir}/openvas || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${libdir}/openvas
	test -d $(DESTDIR)${libdir}/openvas/plugins || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${libdir}/openvas/plugins
	
install-nasl: install-dirs
	for scripts in scripts/*.nasl; do \
	$(INSTALL) -m 444 $$scripts \
		$(DESTDIR)${libdir}/openvas/plugins; \
	done

install-inc: install-dirs
	for scripts in scripts/*.inc; do \
	$(INSTALL) -m 444 $$scripts \
		$(DESTDIR)${libdir}/openvas/plugins; \
	done

install-nes: install-dirs
	for plugins in bin/*.nes; do \
	$(INSTALL) -m 555 $$plugins \
		$(DESTDIR)${libdir}/openvas/plugins; \
	done

install-man:
	test -d $(DESTDIR)${mandir}/man1 || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${mandir}/man1

install-minimal: all \
	install-dirs install-nes \
	install-man install-sync-script
	
	test -d $(DESTDIR)${prefix}/bin || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${prefix}/bin


install: all \
	install-dirs install-nasl install-inc install-nes \
	install-man install-sync-script
	
	test -d $(DESTDIR)${prefix}/bin || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${prefix}/bin

distclean: clean
	rm -f config.cache config.status config.log openvas.tmpl openvas-nvt-sync
	rm -f bin/*.nes

dist:
	version="`cat VERSION`"; \
	rm -rf openvas-plugins-$${version}* ; \
	mkdir openvas-plugins-$${version} ; \
	tar cf openvas-plugins-$${version}/x.tar `cat MANIFEST`; \
	( cd openvas-plugins-$${version} ; tar xf x.tar ; rm -f x.tar ) ; \
	tar cf openvas-plugins-$${version}.tar openvas-plugins-$${version} ; \
	gzip -9 openvas-plugins-$${version}.tar
