=== debian/changelog ===
openvas-plugins-dfsg (1:20100705-4ubuntu2) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 23 May 2014 22:37:44 -0400

openvas-plugins-dfsg (1:20100705-4ubuntu1) quantal; urgency=low

  * Explicitly create debian/openvas-plugins-dfsg/usr/share/lintian/overrides/
    to avoid FTBFS on binary-arch builds.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 03 Jul 2012 12:08:24 -0400

openvas-plugins-dfsg (1:20100705-4) unstable; urgency=low

  * debian/control: Replace Build-Depends on dpatch with quilt (>= 0.40)
    (Closes: #674228)
  * debian/rules: Remove plugins subdir when cleaning.
  * Added new po-debconf translations:
    - Italian, provided by Beatrice Torracca (Closes: #671637)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 25 May 2012 00:03:05 +0200

openvas-plugins-dfsg (1:20100705-3) unstable; urgency=low

  * Added new po-debconf translations:
    - Dutch, provided by Jeroen Schot (Closes: #660844)
    - Polish, provided by Michał Kułach (Closes: #670628)
    - Portuguese Brazilian, provided by J.S.J ior (Closes: #671289)
  * Patch by Jari Aalto to upgrade packaging format: (Closes: #670395)
    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.3 and debhelper to 9.
    - Add required build-arch and build-indep targets to rules file.
    -  patches
       - (10): New; in-line changes to original sources.
       - (90): Rename from 100 to make listing sort alphabetically.
    - Fix maintainer-script-without-set-e (Lintian fix).
  * debian/rules: Rewrite the content fully using debhelper extensively
    and a few overrides
  * Remove debian/manpages since it would make install the manpage
    of openvas-nvt-sync in the openvas-plugins-dfsg 

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 02 May 2012 22:23:20 +0200

openvas-plugins-dfsg (1:20100705-2) unstable; urgency=low

  * Added Japanese po-debconf translation provided by Hideki Yamane 
    (Closes: 595461)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 06 Oct 2010 02:48:19 +0200

openvas-plugins-dfsg (1:20100705-1) unstable; urgency=low

  * Update plugins with latest upstream SVN sources.
     - Only existing plugins (.nasl or .inc) have been updated, no new
       plugins have been added in this release as a manual audit
       of new plugins is still required.
     - The latest SVN version does not include the .NES plugins since these
       have moved over to openvas-scanner (version 3.x)
  * debian/patches/30_include_plugins.dpatch: Create this patch to
     provide the compiled plugins since we still have openvas-server (version
     2.0.3)
  * debian/patches/40_openvas-nvt_sync.dpatch: Similarly, include the
     openvas-nvt-sync since it is not (yet) provided in any other package
  * debian/patches/100_audit_improve.dpatch: Move most of the content
     to SVN and simplify this patch, it only provides the list of REMOVED
     plugins (which is Debian-specific)
  * debian/extra/update-plugins: 
     - Copy also updated .inc files
     - Do not diff if the file does not exist in SVN anymore
  * debian/patches/100_audit_improve.dpatch: Update patch since 
     I have updated all the audit files upstream
  * debian/rules: 
      * Do not make build depend on audit/exclude-list as this 
      is not really required
      * Adjust the permissions of install_plug and make_world under plugins/
      (they are generated without execute bit by
      debian/patches/30_include_plugins.dpatch)

  * Updated debconf translations to the following languages:
    * Norwegian, thanks to by  Bjørn Steensrud (Closes: 577203)
    * Swedish, thanks to Martin Ågren (Closes: #578015)
    * Portuguese, thanks to Américo Monteiro (Closes: #579069)
    * French, thanks to Christian Perrier (Closes: 579716)
    * Danish, thanks to Joe Dalton (Closes: 587429)
    * Czech, thanks to Michal Simunek (Closes: #587631)
    * Chinese, thanks to  YunQiang Su (Closes: #587385)
    * Russian, thanks to Yuri Kozlov (Closes: #577169)
    * Vietnamese, thanks to Clytie Siddall (Closes: #577167)
    * German, thanks to Erik Schanze (Closes: #577455)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 05 Jul 2010 20:32:31 +0200

openvas-plugins-dfsg (1:20100320-1) unstable; urgency=low

  * Remove the 30_plugins_update.dpatch, 40_lsc_extra.dpatch and 
    50_template.dpatch patches and start using a source tar gz generated from
    reviewed SVN sources.
  * Remove solaris.inc from the non-free plugin list

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 09 Apr 2010 01:00:25 +0200

openvas-plugins-dfsg (1.0.7-7+svn20100320) unstable; urgency=low

  * Move the link creation for the NES files over to openvas-plugins-base

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 22 Mar 2010 03:36:04 +0100

openvas-plugins-dfsg (1.0.7-6+svn20100320) unstable; urgency=low

  * Use debconf (if available) on purge to ask the questios indicating
    whether the removal of the plugins directory is required. 
    Add debian/openvas-plugins-dfsg.templates, and create the
    debconf translation infrastructure. Also add an initial translation of the
    templates to Spanish.  (Closes: #566677)
  * debian/openvas-plugins-{dfsg,base}.postinst: Create to seed the debconf
    database for use in postrm
  * debian/openvas-plugins-{dfsg,base}.lintian-overrides: Override a lintian
    error since we are really not using debconf in config, only in postinst

  * 30_plugins_update.dpatch :
    Update the plugins with the latest versions available in SVN and include
    a number of new plugins after reviewing their license.
  * Repackage the sources and remove the following, non-free, content:
    
    Non-free plugins:
    [ gb_CESA-200* gb_mandriva_MD* gb_RHSA-200* RHSA_200* gb_suse_* ]
      - Those including content verbatim from Red Hat advisories,

