=== debian/control ===
Source: openvas-plugins-dfsg
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper (>= 9), quilt (>= 0.40), libopenvas2-dev, openvas-server-dev (>= 1.0), libopenvasnasl2-dev, libgmp3-dev, libz-dev, libpcap-dev, libnet1-dev, libgnutls-dev, libglib2.0-dev, autotools-dev
Homepage: http://www.openvas.org/
Vcs-Browser: https://wald.intevation.org/plugins/scmsvn/viewcvs.php/trunk/openvas-packaging/openvas-plugins/debian/trunk/debian/?root=openvas
Vcs-Svn: https://svn.wald.intevation.org/svn/openvas/trunk/openvas-packaging/openvas-plugins/debian/trunk/debian/
Standards-Version: 3.9.3

Package: openvas-plugins-dfsg
Section: net
Architecture: all
Depends: ${misc:Depends}, openvas-plugins-base
Recommends: openvas-server (>= 1.0) | openvas-scanner (>= 3.0.0), nmap, smbclient, snmp
Suggests: openvas-client, pnscan, strobe, ike-scan
Conflicts: openvas-server (<= 2.0.3-2)
Description: remote network security auditor - plugins
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 openvasd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package contains the DFSG-free OpenVAS plugins, a set of security tests
 as well as scripts to build additional plugins.

Package: openvas-plugins-base
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Recommends: openvas-server (>= 1.0), openvas-plugins-dfsg
Conflicts: openvas-plugins, openvas-server (<= 2.0.3-2), openvas-scanner (>= 3.0.0) 
Provides: openvas-plugins
Description: remote network security auditor - basic plugins
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 This package contains the basic plugins: find_service, openvas_tcp_scanner,
 ssl_ciphers and synscan. As well as the script needed for downloading updated
 plugins from OpenVAS.
