=== debian/rules ===
#!/usr/bin/make -f
# Derived from dh_make example.

#export DH_VERBOSE=1

tmp := $(CURDIR)/debian/tmp

CFLAGS := -g -Wall
ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O0
else
CFLAGS += -O2
endif

%:
	[ "$@" = "audit-plugins" ] || dh $@ --with quilt,autotools_dev

override_dh_auto_build:
	[ ! -e plugins/install_plug ] ||  chmod  +x plugins/install_plug
	[ ! -e plugins/make_world ] ||  chmod  +x plugins/make_world
	$(MAKE)

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --sysconfdir=/etc --prefix=/usr \
          --mandir='$${prefix}/share/man' --localstatedir=/var/run \
          --with-fetchcmd=wget  --libdir=/var/lib

override_dh_auto_clean:
	touch openvas.tmpl
	[ ! -e plugins/install_plug ] ||  chmod  +x plugins/install_plug
	[ ! -e plugins/make_world ] ||  chmod  +x plugins/make_world
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -rf audit/exclude-list
	[ ! -f libtool ] || rm -f libtool
	[ ! -d bin/ ] || rm -rf bin/

override_dh_auto_install:
	$(MAKE) install prefix=$(tmp)/usr sysconfdir=$(tmp)/etc localstatedir=$(tmp)/var/run libdir=$(tmp)/var/lib
# After we install we remove the plugins we want to exclude from the
# package
	( cd $(tmp)/var/lib/openvas/plugins ; cat $(CURDIR)/audit/exclude-list $(CURDIR)/audit/remove-list | xargs rm -f )
# Move the libraries to /usr/lib
	mkdir -p $(tmp)/usr/lib/openvas/plugins
	mv  $(tmp)/var/lib/openvas/plugins/*nes  $(tmp)/usr/lib/openvas/plugins
# This is not required, we use openvas-plugins-dfsg.links instead
#	( cd $(tmp)/var/lib/openvas/plugins ; for file in *.nes; do \
#		 mv $$file ../../../../usr/lib/openvas/plugins ; \
#		 ln -s ../../../../usr/lib/openvas/plugins/$$file . ; done )
# However, we need this for binary-arch builds not to fail
	install -m755 -d debian/openvas-plugins-dfsg/usr/share/lintian/overrides/
	cp debian/openvas-plugins-dfsg.lintian-overrides \
		debian/openvas-plugins-dfsg/usr/share/lintian/overrides/openvas-plugins-dfsg

audit/exclude-list:
	( cd audit &&  test -f exclude-list || sh exclude-plugins >exclude-list )

audit-plugins: 
# Audit the plugins installed in the package
	( cd audit &&  sh audit-plugins $(tmp)/var/lib/openvas/plugins )
# If the audit passes we continue


binary-indep:: audit-plugins

override_dh_strip:
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip		-a
	strip --strip-unneeded --remove-section=.comment --remove-section=.note \
          debian/openvas-plugins-base/usr/lib/openvas/plugins/*.nes
endif

override_dh_shlibdeps:
	dpkg-shlibdeps -Tdebian/openvas-plugins-base.substvars \
          debian/openvas-plugins-base/usr/lib/openvas/plugins/*.nes
